const HTMLtoDOCX = require('html-to-docx');

module.exports = async (inputs, callback, done) => {
  console.log(inputs);
  const fileBuffer = await HTMLtoDOCX(inputs.htmlContent, inputs.properties.headerTemplate, {
    documentOptions: {
      margins: {
        top: inputs.properties.marginTop !== "" ? inputs.properties.marginTop : 1440,
        right: inputs.properties.marginTop !== "" ? inputs.properties.marginTop : 1800,
        bottom: inputs.properties.marginTop !== "" ? inputs.properties.marginTop : 1440,
        left: inputs.properties.marginTop !== "" ? inputs.properties.marginTop : 1800,
        header: inputs.properties.marginTop !== "" ? inputs.properties.marginTop : 720,
        footer: inputs.properties.marginTop !== "" ? inputs.properties.marginTop : 720,
        gutter: inputs.properties.marginTop !== "" ? inputs.properties.marginTop : 0
      }
    },
    table: { row: { cantSplit: true } },
    header: inputs.header !== "",
    footer: inputs.footer !== "",
    pageNumber: true,
  }, inputs.properties.footerTemplate);
  
	
  try {
    done(null, {
		docxContent: fileBuffer.toString('base64')
    })
  } catch (e) {
    done(null, {
      error: {
        message: e.message,
        stack: e.stack
      }
    })
  }
}
