import React, { Component } from 'react'

export default class Properties extends Component {

  constructor (props) {
    super(props)

    this.changeChrome = this.changeChrome.bind(this)
  }

  changeChrome (props, change) {
    const { entity, onChange } = props
    const chrome = entity.chrome || {}

    onChange({
      ...entity,
      chrome: { ...chrome, ...change }
    })
  }

  render () {
    const { entity } = this.props
    const chrome = entity.chrome || {}
    const changeChrome = this.changeChrome

    return (
      <div className='properties-section'>
       <div className='form-group'><label>margin top</label>
          <input
            type='text' placeholder='1440' value={chrome.marginTop || ''}
            onChange={(v) => changeChrome(this.props, { marginTop: v.target.value })} />
        </div>
        <div className='form-group'><label>margin right</label>
          <input
            type='text' placeholder='1800' value={chrome.marginRight || ''}
            onChange={(v) => changeChrome(this.props, { marginRight: v.target.value })} />
        </div>
        <div className='form-group'><label>margin bottom</label>
          <input
            type='text' placeholder='1400' value={chrome.marginBottom || ''}
            onChange={(v) => changeChrome(this.props, { marginBottom: v.target.value })} />
        </div>
        <div className='form-group'><label>margin left</label>
          <input
            type='text' placeholder='1800' value={chrome.marginLeft || ''}
            onChange={(v) => changeChrome(this.props, { marginLeft: v.target.value })} />
        </div>    
        <div className='form-group'><label>margin header</label>
          <input
            type='text' placeholder='720' value={chrome.marginHeader || ''}
            onChange={(v) => changeChrome(this.props, { marginHeader: v.target.value })} />
        </div>
        <div className='form-group'><label>margin footer</label>
          <input
            type='text' placeholder='720' value={chrome.marginFooter || ''}
            onChange={(v) => changeChrome(this.props, { marginFooter: v.target.value })} />
        </div>    
        <div className='form-group'><label>margin gutter</label>
          <input
            type='text' placeholder='0' value={chrome.marginGutter || ''}
            onChange={(v) => changeChrome(this.props, { marginGutter: v.target.value })} />
        </div>
        <div className='form-group'>
          <label>header</label>
          <button onClick={() => this.openHeaderFooter('header')}>open in tab...</button>
        </div>
        <div className='form-group'>
          <label>footer</label>
          <button onClick={() => this.openHeaderFooter('footer')}>open in tab...</button>
        </div>
      </div>
    )
  }

  openHeaderFooter (type) {
    Studio.openTab({
      key: this.props.entity._id + 'htmltodocx' + type,
      _id: this.props.entity._id,
      headerOrFooter: type,
      editorComponentKey: 'CHROME_TAB_EDITOR',
      titleComponentKey: 'CHROME_TAB_TITLE'
    })
  }  
}
